# Note that this is NOT a relocatable package
%define ver      1.0.0
%define  RELEASE 1
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix   /usr

Summary: Userland applications for Affix Bluetooth stack
Name: affix
Version: %ver
Release: %rel
Copyright: GPL
Group: Applications/System
Vendor: Nokia Research Center
Packager: Mitja Pufic <raveer@section-one.org>
Source: http://affix.sourceforge.net/affix-%{ver}.tar.gz
Patch0: http://www.section-one.org/initscripts/bluetooth/bluetooth.diff
BuildRoot: /var/tmp/%{name}-%{PACKAGE_VERSION}-root
URL: http://affix.sourceforge.net
Docdir: %{prefix}/share/doc
Requires: glibc >= 2.2.4
Requires: kernel-pcmcia-cs >= 3.1.27
Requires: hotplug >= 2002_04_01
Requires: openobex >= 0.9.8
Requires: glib >= 1.2
Requires: glib-devel >= 1.2
Requires: affix-kernel >= 1.0.0
BuildRequires: glibc >= 2.2.4
BuildRequires: glib-devel >= 1.2
BuildRequires: affix-kernel >= 1.0.0

%description
Affix Bluetooth userland applications to manage bluetooth devices.

includes:
- Affix core libraries and tools; libaffix.so, libaffix_utils.so, btctl, btsrv
- Service Discovery client/server libraries and daemon; libaffix_sdp.so, libaffix_sdpsvc.so, btsdp.
- OBEX client/server libraries and daemon; libaffix_obex.so, btobex

Affix Bluetooth Protocol Stack for Linux has been developed at
Nokia Research Center in Helsinki, Finland.

Affix package supports the following profiles:
        - General Access Profie
        - Service Discovery Profile
        - Serial Port Profile
        - DialUp Networking Profile
        - LAN Access Profile
        - OBEX Object Push Profile
        - OBEX File Transfer Profile
        - PAN Profile

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.

%changelog
* Fri Jul 19 2002 Mitja Pufic <m@section-one.org>
- etc fix + rpm lib fix

* Wed Jul 17 2002 Mitja Pufic <m@section-one.org>
- Initial RPM

%prep
rm -rf $RPM_BUILD_ROOT
rm -rf /usr/src/redhat/BUILD/*

%patch0 -p0 
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --enable-hfp --prefix=%{prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/{affix,ppp}
mkdir -p $RPM_BUILD_ROOT/etc/ppp/ip-{up,down}.d
cp ../bluetooth $RPM_BUILD_ROOT/etc/rc.d/init.d/
chmod +x $RPM_BUILD_ROOT/etc/rc.d/init.d/bluetooth
cp etc/{ppp*,serial,btsrv*} $RPM_BUILD_ROOT/etc/affix
cp etc/masq-up $RPM_BUILD_ROOT/etc/ppp/ip-up.d
cp etc/masq-down $RPM_BUILD_ROOT/etc/ppp/ip-down.d

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

/etc/affix/*
/etc/ppp/ip-*.d/*
/etc/rc.d/init.d/bluetooth
/usr/bin/bt*
/usr/bin/mod*
/usr/include/affix/*
/usr/lib/libaff*

%doc AUTHORS COPYING INSTALL ChangeLog NEWS README LEGAL TODO doc/HOWTO doc/affix.txt doc/pan.txt
